package io.zipcoder.interfaces;

import java.lang.reflect.Array;

public class ZipCodeWilmington {

    private Students students = Students.getInstance();
    private Instructors instructors = Instructors.getInstance();

    //private Learner[] learner = new Learner[students.getCount()];

    public void hostLecture(Teacher teacher, double numberOfHours){
        Person[] personArray = students.getArray();
        Learner[] learners = new Learner[personArray.length];
        for (int i = 0; i < personArray.length; i++) {
            Person currentPerson = personArray[i];
            Learner learner = (Learner) currentPerson;
            learners[i] = learner;
        }
        teacher.lecture(learners, numberOfHours);
    }

    public void hostLecture(long id, double numberOfHours){

        Teacher teacher = (Teacher) instructors.findById(id);

        hostLecture(teacher,numberOfHours);

    }
}
