package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import java.util.ArrayList;

public class PeopleTest {


    private Person bobby = new Person(3, "Bobby");
    private Person scott = new Person(4, "Scott");
    private Person bo = new Person(5, "Bo");
    private Person joe = new Person(6, "Joe");
    private Person riley = new Person(7, "Riley");

@Test

    public void addTest(){

    People peopleList = new People();


    peopleList.add(bobby);
    peopleList.add(scott);
    peopleList.add(bo);
    peopleList.add(joe);

    peopleList.add(riley);


   int expected = 5;
   int actual = peopleList.getCount();

   Assert.assertEquals(expected,actual);

}

@Test
    public void removeByPersonTest(){

    People peopleList = new People();

    peopleList.add(bobby);
    peopleList.add(riley);
    peopleList.remove(bobby);

    int expected = 1;
    int actual = peopleList.getCount();

    Assert.assertEquals(expected, actual);
}

@Test
    public void removeById(){

    People peopleList = new People();

    peopleList.add(bobby);
    peopleList.add(riley);
    peopleList.add(scott);


    peopleList.remove(3);

    int expected = 2;
    int actual = peopleList.getCount();

    Assert.assertEquals(expected,actual);
}

@Test
    public void findByIdTest(){

    People peopleList = new People();

    peopleList.add(bobby);
    peopleList.add(riley);
    peopleList.add(scott);

    Person expected = bobby;
    Person actual = peopleList.findById(3);

    Assert.assertEquals(expected,actual);

}

@Test
    public void getArrayTest(){

    People peopleList = new People();

    peopleList.add(bobby);
    peopleList.add(riley);
    peopleList.add(scott);
    peopleList.add(bo);

    People peepList = new People();

    peepList.add(bobby);
    peepList.add(riley);
    peepList.add(joe);

    Person[] expected = peepList.getArray();

    peopleList.add(joe);

    Person[] actual = peopleList.getArray();


    Assert.assertNotEquals(actual, expected);
}

@Test
    public void removeAllTest(){

    People peopleList = new People();

    peopleList.add(bobby);
    peopleList.add(riley);
    peopleList.add(scott);
    peopleList.add(bo);

    peopleList.removeAll();

    int expected = 0;
    int actual = peopleList.getCount();

    Assert.assertEquals(expected,actual);
}
}
