package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

import java.lang.reflect.Array;
import java.util.ArrayList;

public class StudentsTest {
    @Test

    public void testSingletonInstance(){

        Students instance1 = Students.getInstance();
        Students instance2 = Students.getInstance();

        Assert.assertSame(instance1,instance2);

    }

    @Test

    public void initializationSetupStudentsTest(){

      Students student = Students.getInstance();

      int actual = 39;
      int expected = student.getCount();

       Assert.assertEquals(expected,actual);
    }
}
