package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class InstructorsTest {
    @Test

    public void testSingletonInstance(){

        Instructors instance1 = Instructors.getInstance();
        Instructors instance2 = Instructors.getInstance();

        Assert.assertSame(instance1,instance2);

    }

    @Test

    public void initializationSetupStudentsTest(){

        Instructors instructors = Instructors.getInstance();

        int actual = 7;
        int expected = instructors.getCount();

        Assert.assertEquals(expected,actual);
    }
}
