package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class StudentTest {

    @Test

    public void testImplementation(){
        Student student = new Student(3, "Dracula");

        Assert.assertTrue(student instanceof Learner);
    }

    @Test

    public void testInheritance(){
        Student student = new Student(3, "Dracula");

        Assert.assertTrue(student instanceof Person);
    }

    @Test

    public void testLearn(){
        Student student = new Student(3, "Dracula");

        student.learn(5);

        double expected = 5.0;
        double actual = student.getTotalStudyTime();



        Assert.assertEquals(expected, actual,0);

        student.learn(5.0);
        double expected2 = 10.0;
        double actual2 = student.getTotalStudyTime();

        Assert.assertEquals(expected2, actual2,0);
        Assert.assertNotEquals(actual,actual2, 0);
    }


}
