package io.zipcoder.interfaces;

import org.junit.Assert;
import org.junit.Test;

public class ZipCodeWilmingtonTest {

    @Test
    public void hostLectureTest(){
        // given
        double numberOfHoursTaught = Students.getInstance().getCount();
        double expected = 1;
        ZipCodeWilmington zipCodeWilmington = new ZipCodeWilmington();
        Instructor instructor = (Instructor)Instructors.getInstance().findById(1);

        // when
        zipCodeWilmington.hostLecture(instructor,numberOfHoursTaught);


        // then
        for(Person p : Students.getInstance().getArray()) {
            Student student = (Student) p;
            double actual = student.getTotalStudyTime();
            Assert.assertEquals(expected, actual, 0.1);
        }


    }

    @Test
    public void hostLectureTestById() {
        // given
        double numberOfHoursTaught = Students.getInstance().getCount();
        double expected = 1;

        ZipCodeWilmington zipCodeWilmington = new ZipCodeWilmington();

        zipCodeWilmington.hostLecture(2, numberOfHoursTaught);

        for (Person p : Students.getInstance().getArray()) {
            Student student = (Student) p;
            double actual = student.getTotalStudyTime();

            Assert.assertEquals(expected, actual, 0.1);

        }
    }
}
